/Users/bernard/b20/bsoft/src/bmapdist.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bmapdist.cpp - Calculates a distance criterion between a set of 2D images or 3D maps.

SYNOPSIS

#include 'rwimg.h'
#include 'rwmg.h'
#include 'mg_img_proc.h'
#include 'Matrix.h'
#include 'cluster.h'
#include 'linked_list.h'
#include 'file_util.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
Matrix img_map_distance (Bstring *file_list, int type, double *cutoff, double hires, double lores, Bimage *pmask)
int project_set_selection (Bproject *project, long n, long *idx)
int project_rec_select (Bproject *project, long *idx)
Bstring * project_get_filenames (Bproject *project, int flag)
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

Calculates a distance criterion between a set of 2D images or 3D maps.

Author:
    Bernard Heymann

Date:
    Created: 20010308

    Modified: 20170724

Definition in file bmapdist.cpp.

Function Documentation

  Matrix img_map_distance (Bstring * file_list, int type, double * cutoff, double hires, double lores, Bimage * pmask)

Definition at line 191 of file bmapdist.cpp.

  int main (int argc, char ** argv)

Definition at line 82 of file bmapdist.cpp.

  Bstring* project_get_filenames (Bproject * project, int flag)

Definition at line 29 of file bmapdist.cpp.

  int project_rec_select (Bproject * project, long * idx)

Definition at line 446 of file bmapdist.cpp.

  int project_set_selection (Bproject * project, long n, long * idx)

Definition at line 372 of file bmapdist.cpp.

Variable Documentation

  const char* use[]

Definition at line 49 of file bmapdist.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.